Subject: Re: bug#19278: guix needs to be installed for guix pull

From: [email-masked] (Ludovic Courtès)
Date: Fri, 12 Dec 2014 22:55:35 +0100

merge 19278 19318
thanks

Tomas Cech <[email-masked]> skribis:

> I have Gentoo installation, guix 0.8 built using my ebuild and installed into system.
>
> According to this part of documentation
> http://www.gnu.org/software/guix/manual/guix.html#Invoking-guix-pull
>
> I should be able to call `guix pull' and my guix will be updated.

Correct.

> So, when I call it:
>
> tcech@venom ~ $ LC_ALL=C LANG=C /usr/bin/guix pull
> starting download of `/tmp/guix-file.cSPiQM' from `http://git.savannah.gnu.org/cgit/guix.git/snapshot/guix-master.tar.gz'...
> http://git.savannah.gnu.org/.../guix-master.tar.gz      6836.6 KiB transferred
> unpacking '/gnu/store/6z3z7lfk7a52l6pd28qz0qzq9q4mpfjq-guix-latest.tar.gz'...
> ;;; note: source file /home/tcech/.config/guix/latest/gnu/packages/dwm.scm
> ;;;       newer than compiled /home/tcech/.config/guix/latest/gnu/packages/dwm.go
> substitute-binary: guix substitute-binary: warning: while fetching http://hydra.gnu.org/nix-cache-info: server is unresponsive
> substitute-binary: guix substitute-binary: warning: try `--no-substitutes' if the problem persists
> substitute-binary: guix substitute-binary: warning: while fetching http://hydra.gnu.org/hkc3fkchhwsan4g6f6hyvcja2i9xzwhs.narinfo: server is unresponsive
> substitute-binary: guix substitute-binary: warning: try `--no-substitutes' if the problem persists
> The following derivation will be built:
>    /gnu/store/0nygspjlcxh0p1wijdlpia8qda0qnbby-guix-latest.drv
> waiting for locks or build slots...
> updated GNU Guix successfully deployed under `/home/tcech/.config/guix/latest'
>
> and then ask for version:
>
> tcech@venom ~ $ LC_ALL=C LANG=C /usr/bin/guix --version
> guix (GNU Guix) 0.8
> Copyright (C) 2014 the Guix authors
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
>    
> I can see that still old version is used.

Actually it’s another bug: the version reported is static, which is
misleading at best.  See <http://bugs.gnu.org/19318>.

> I hope I made it more clear now.

Yes, thank you!

Ludo’.